bitel.billing.server.ipn.bean

## Class Gate

- java.lang.Object
- - bitel.billing.server.ipn.bean.Gate

- All Implemented Interfaces:
    ListItem

      public class Gate
      extends java.lang.Object
      implements ListItem

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Gate()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `GateAddress` | `getAddress()`
    `java.util.List<Gate>` | `getChildren()`
    `java.lang.String` | `getComment()`
    `java.lang.String` | `getConfig()`
    `GateType` | `getGateType()`
    `java.lang.String` | `getHost()`
    `int` | `getId()`
    `java.lang.String` | `getKeyword()`
    `Gate` | `getParent()`
    `int` | `getParentId()`
    `int` | `getPort()`
    `java.lang.String` | `getTitle()`
    `int` | `getTypeId()`
    `void` | `setAddress(GateAddress address)`
    `void` | `setChildren(java.util.List<Gate> children)`
    `void` | `setComment(java.lang.String comment)`
    `void` | `setConfig(java.lang.String config)`
    `void` | `setGateType(GateType gateType)`
    `void` | `setHost(java.lang.String host)`
    `void` | `setId(int ID)`
    `void` | `setKeyword(java.lang.String keyword)`
    `void` | `setParent(Gate parent)`
    `void` | `setParentId(int parentId)`
    `void` | `setPort(int port)`
    `void` | `setTypeId(int typeId)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Gate

          public Gate()

  - ### Method Detail

    - #### getConfig

          public java.lang.String getConfig()

    - #### setConfig

          public void setConfig(java.lang.String config)

    - #### getId

          public int getId()

      Specified by:
        `getId` in interface `ListItem`

    - #### setId

          public void setId(int ID)

    - #### getHost

          public java.lang.String getHost()

    - #### setHost

          public void setHost(java.lang.String host)

    - #### getPort

          public int getPort()

    - #### setPort

          public void setPort(int port)

    - #### getKeyword

          public java.lang.String getKeyword()

    - #### setKeyword

          public void setKeyword(java.lang.String keyword)

    - #### getComment

          public java.lang.String getComment()

    - #### setComment

          public void setComment(java.lang.String comment)

    - #### getTypeId

          public int getTypeId()

    - #### setTypeId

          public void setTypeId(int typeId)

    - #### getTitle

          public java.lang.String getTitle()

      Specified by:
        `getTitle` in interface `ListItem`

    - #### getChildren

          public java.util.List<Gate> getChildren()

    - #### setChildren

          public void setChildren(java.util.List<Gate> children)

    - #### getParent

          public Gate getParent()

    - #### setParent

          public void setParent(Gate parent)

    - #### getParentId

          public int getParentId()

    - #### setParentId

          public void setParentId(int parentId)

    - #### getGateType

          public GateType getGateType()

    - #### setGateType

          public void setGateType(GateType gateType)

    - #### getAddress

          public GateAddress getAddress()

    - #### setAddress

          public void setAddress(GateAddress address)